package ru.yandex.canvas.service.video.generation;

import ru.yandex.canvas.model.video.addition.AdditionElement;
import ru.yandex.canvas.model.video.addition.Options;
import ru.yandex.canvas.model.video.addition.options.DisclaimerElementOptions;

public enum DisclaimerFactory implements BaseFactory {
    INSTANCE;

    @Override
    public AdditionElement.ElementType getType() {
        return AdditionElement.ElementType.DISCLAIMER;
    }

    @Override
    public Options getOptionsInstance() {
        return new DisclaimerElementOptions();
    }
}
